Page MenuHomePhabricator

Form field legends shouldn't receive 'uppercase'
Closed, ResolvedPublic

Description

MobileFrontend currently makes use of text-transform: uppercase on fieldset legends.
That should be seen as non-recommended pattern, as it is

  • over-emphasizes legends, they are already carrying bold font styling
  • out of touch with other elements on the page,
  • it could result in unintended i18n side-effects

We try to keep special font treatment as low as possible, if not clearly stated reasons are given in UI-Standardization.

Moreover such styling should be part of the skin and not of the MobileFrontend extension.

Proposal

Removing it.

Event Timeline

Volker_E created this task.Mar 19 2019, 7:11 PM
Restricted Application added a project: UI-Standardization. · View Herald TranscriptMar 19 2019, 7:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@alexhollender Assigning to you for visibility and sign-off.

MobileFrontend makes currently 5 usages of text-transform: uppercase:

  • form legend
  • References drawer
  • Language searcher
  • Pagelist info
  • Mobile diff #mw-mf-diffview .meta

MinervaNeue makes none and the only other, rather prominent occurrence, is
RelatedPages heading.

+1

Would it be possible to include some before/after screenshots?

PageBeforeAfter
Blocked user
Logs

Other untouched text-transform usages:

  • References drawer

  • Language searcher

  • Mobile diff

Couldn't find pagelist info class in action.

alexhollender removed alexhollender as the assignee of this task.Mar 26 2019, 6:33 PM
alexhollender awarded a token.
alexhollender added a subscriber: alexhollender.

Change 499907 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/MobileFrontend@master] Remove uppercase styling from legend elements

https://gerrit.wikimedia.org/r/499907

Volker_E triaged this task as Normal priority.Mar 28 2019, 8:46 PM
Volker_E moved this task from Backlog to Doing… on the UI-Standardization-Kanban board.

Change 499907 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove uppercase styling from legend elements

https://gerrit.wikimedia.org/r/499907

Volker_E closed this task as Resolved.Apr 3 2019, 3:04 AM
Volker_E claimed this task.
Volker_E removed a project: Patch-For-Review.